
OpenSCAP - Feature #36738

Ability to run playbook/script from OpenSCAP report

09/12/2023 12:09 PM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category:    

Target version:    

Difficulty:  Fixed in Releases: foreman_openscap 8.0.0

Triaged: Yes Found in Releases:  

Bugzilla link: 2121057 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

openscap/pull/546

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2121057

Description of problem:

The ability to run a playbook from an OpenSCAP report in Satellite.

When visiting the SCAP report you can see the playbook or bash script to fix a certain failure, however you cannot directly run it from

the report, you have to copy the contents and create a new job template or run it against the host via a REX job.

It would be very user friendly if we could remediate directly from the SCAP report.

Version-Release number of selected component (if applicable):

6.11

Associated revisions

Revision 85d4141b - 04/26/2024 01:33 PM - Oleh Fedorenko

Fixes #36738 - Add remediation wizard (#546)

Fixes #36738 - Add remediation wizard

Refs #36738 - Re-use host selection box from core

Refs #36738 - Remove searchbar

Refs #36738 - Return SelectNone option

Refs #36738 - Use relative import for ExternalLink icon

Refs #36738 - Return SelectAll option

Refs #36738 - Change Select none to Select default

Refs #36738 - Improve help strings

History

#1 - 09/12/2023 12:10 PM - Oleh Fedorenko

- Project changed from Foreman to OpenSCAP

- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

- Triaged changed from No to Yes

#2 - 09/27/2023 12:13 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman_openscap/pull/546 added
#3 - 04/26/2024 01:33 PM - The Foreman Bot

- Fixed in Releases foreman_openscap 5.2.0 added

#4 - 04/26/2024 01:53 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

- Fixed in Releases deleted (foreman_openscap 5.2.0)

#5 - 04/26/2024 02:54 PM - Oleh Fedorenko

- Fixed in Releases foreman_openscap 8.0.0 added
